Get required actions for a TRM
Retrieves the list of required actions (e.g., PII fields) needed to process the Travel Rule Message.
GET
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
trm
/
{trmId}
/
required_actions
TypeScript
const response: Promise<FireblocksResponse<TRLinkGetRequiredActionsResponse>> = fireblocks.tRLink.getTRLinkTrmRequiredActions(tRLinkApiGetTRLinkTrmRequiredActionsRequest);CompletableFuture<ApiResponse<TRLinkGetRequiredActionsResponse>> response = fireblocks.tRLink().getTRLinkTrmRequiredActions(customerIntegrationId, trmId);response = fireblocks.t_r_link.get_t_r_link_trm_required_actions(customer_integration_id, trm_id);curl --request GET \
--url https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}/trm/{trmId}/required_actionsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/screening/trlink/customers/integration/{customerIntegrationId}/trm/{trmId}/required_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"type": "UPLOAD_BENEFICIARY_PII",
"description": "Provide beneficiary PII fields to process the TR message",
"data": {
"beneficiaryRequiredFields": [
{
"type": "naturalPerson",
"path": "Beneficiary.beneficiaryPerson[].naturalPerson.name.nameIdentifier[].primaryIdentifier"
}
],
"originatorRequiredFields": [
{
"type": "naturalPerson",
"path": "Beneficiary.beneficiaryPerson[].naturalPerson.name.nameIdentifier[].primaryIdentifier"
}
]
}
}
]
}{
"message": "<string>",
"code": 123
}Path Parameters
Customer integration unique identifier
Travel Rule Message unique identifier
Response
Required actions retrieved successfully
Response containing the list of required actions for a TRM
List of required actions for the TRM
Maximum array length:
10Show child attributes
Show child attributes
Was this page helpful?
Previous
Resolve action for a TRMSubmits required data (e.g., beneficiary PII) to resolve a pending Travel Rule Message action.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<TRLinkGetRequiredActionsResponse>> = fireblocks.tRLink.getTRLinkTrmRequiredActions(tRLinkApiGetTRLinkTrmRequiredActionsRequest);CompletableFuture<ApiResponse<TRLinkGetRequiredActionsResponse>> response = fireblocks.tRLink().getTRLinkTrmRequiredActions(customerIntegrationId, trmId);response = fireblocks.t_r_link.get_t_r_link_trm_required_actions(customer_integration_id, trm_id);